Use this API to delete a Role.
Be careful, this operation is final and can not be undone.
Resource URL
https://<subdomain>.onelogin.com/api/2/roles/:idHeader Parameters
Authorization required string | Set to Set The access token must have been generated using an API credential pair created using the scope required to call this API. This API can be called using |
Request Parameter
id required integer | Set to the |
Sample Responses
- 204 No Content
- 401 Unauthorized
- 404 Not Found
Success. The role has been deleted. No content is returned.
Typically, this error means that your Authorization header value is missing or incorrectly formatted. The Authorization header value should use this format: bearer <access_token>.
{
"message": "Unauthorized",
"statusCode": 401,
"name": "UnauthorizedError"
}You attempted to delete a role that does not exist.
{
"message": "The resource with the given id could not be found",
"statusCode": 404,
"name": "NotFoundError"
}Postman Collection
Sample Code
cURL
Replace sample values indicated by < > with your actual values.
Delete Role
curl 'https://<subdomain>.onelogin.com/api/2/role/:id' \
-X DELETE \
-H "Authorization: bearer <access_token>"Have a Question?
Found a problem or a bug? Submit a support ticket.
Looking for walkthroughs or how-to guides? Check out our Knowledge Base.
Have a product idea or request? Share it in our Ideas Portal.